Subject: Re: [PATCH next-queue v1 1/3] Revert "PCI: Make pci_enable_ptm() private"

From: Vinicius Costa Gomes <[email-masked]>
Date: Mon, 28 Sep 2020 15:32:23 -0700

Hi,

Bjorn Helgaas <[email-masked]> writes:

> On Fri, Sep 25, 2020 at 04:28:32PM -0700, Vinicius Costa Gomes wrote:
>> Make pci_enable_ptm() accessible from the drivers.
>> 
>> Even if PTM still works on the platform I am using without calling
>> this this function, it might be possible that it's not always the
>> case.
>
> *Does* PTM work on your system without calling pci_enable_ptm()?  If
> so, I think that would mean the BIOS enabled PTM, and that seems
> slightly surprising.
>

At least it seems to work, yeah, the PTM related registers that I need
for cross timestamping still return valid results when I don't call
pci_enable_ptm().

Btw, I just noticed a typo in the commit message, will fix it for the
v2.

>> Exposing this to the driver enables the driver to use the
>> 'ptm_enabled' field of 'pci_dev' to check if PTM is enabled or not.
>> 
>> This reverts commit ac6c26da29c12fa511c877c273ed5c939dc9e96c.
>> 
>> Signed-off-by: Vinicius Costa Gomes <[email-masked]>
>
> AFAICT we just never had any callers at all for pci_enable_ptm().  I
> probably shouldn't have merged it in the first place.
>
> Acked-by: Bjorn Helgaas <[email-masked]>
>

Thanks.

-- 
Vinicius